import { IButtonProps } from './Button.types';
import Vue from 'vue';
/**
 * {@docCategory Button}
 */
export interface IBaseButtonProps extends IButtonProps {
    baseClassName?: string;
    variantClassName?: string;
}
export declare const BaseButton: import("vue/types/vue").ExtendedVue<Vue, {
    menuHidden: boolean;
    menuOpen: boolean;
}, unknown, {
    MenuType: any;
    component: "button" | "a";
    isSplitButton: boolean;
    shouldRenderMenu: boolean;
    classNames: any;
}, {
    href: string;
    checked: boolean;
    split: boolean;
    disabled: boolean;
    primaryDisabled: boolean;
    allowDisabledFocus: boolean;
    variantClassName: string;
    iconProps: any;
    menuIconProps: any;
    menuAs: any;
    menuProps: any;
    persistMenu: boolean;
    renderPersistedMenuHiddenOnMount: boolean;
    secondaryText: string;
    getClassNames: Function;
    className: string;
    styles: any;
    theme: import("@fluentui/style-utilities").ITheme;
}>;
//# sourceMappingURL=BaseButton.d.ts.map