import { IProcessedStyleSet } from '@fluentui/style-utilities';
import Vue from 'vue';
import { ICalendarNavigationIcons } from '../Calendar.types';
import { ICalendarDayStyleProps, ICalendarDayStyles } from './CalendarDay.types';
export declare const CalendarDayBase: import("vue/types/vue").ExtendedVue<Vue, unknown, {
    onHeaderSelect(): void;
}, {
    classNames: IProcessedStyleSet<ICalendarDayStyles>;
    monthAndYearId: string;
    monthAndYear: string;
    headerAriaLabel: string;
}, {
    theme?: import("@fluentui/style-utilities").ITheme | undefined;
    className?: string | undefined;
    styles?: import("@uifabric-vue/utilities").IStyleFunctionOrObject<ICalendarDayStyleProps, ICalendarDayStyles> | undefined;
    onSelectDate?: void | ((date: Date, selectedDateRangeArray?: Date[] | undefined) => void);
    onDismiss?: void | (() => void);
    today?: Date | undefined;
    dateRangeType: import("@fluentui/date-time-utilities").DateRangeType;
    firstDayOfWeek: import("@fluentui/date-time-utilities").DayOfWeek;
    firstWeekOfYear: import("@fluentui/date-time-utilities").FirstWeekOfYear;
    showWeekNumbers?: boolean | undefined;
    strings: import("@fluentui/date-time-utilities").ICalendarStrings;
    navigationIcons: ICalendarNavigationIcons;
    dateTimeFormatter: import("@fluentui/date-time-utilities").IDateFormatting;
    minDate?: Date | undefined;
    maxDate?: Date | undefined;
    restrictedDates?: Date[] | undefined;
    showSixWeeksByDefault?: boolean | undefined;
    workWeekDays?: import("@fluentui/date-time-utilities").DayOfWeek[] | undefined;
    showCloseButton?: boolean | undefined;
    allFocusable?: boolean | undefined;
    navigatedDate: Date;
    onNavigateDate: void | ((date: Date, focusOnNavigatedDay: boolean) => void);
    onHeaderSelect?: void | (() => void);
    selectedDate: Date;
    daysToSelectInDayView?: number | undefined;
    customDayCellRef?: void | ((element: HTMLElement, date: Date, classNames: IProcessedStyleSet<import("..").ICalendarDayGridStyles>) => void);
    weeksToShow?: number | undefined;
    labelledBy?: string | undefined;
    lightenDaysOutsideNavigatedMonth?: boolean | undefined;
    animationDirection?: import("../Calendar.types").AnimationDirection | undefined;
    getMarkedDays?: Date[] | ((startingDate: Date, endingDate: Date) => Date[]) | undefined;
    markedDays?: Date[] | undefined;
}>;
//# sourceMappingURL=CalendarDay.base.d.ts.map