import { IProcessedStyleSet } from '@fluentui/style-utilities';
import Vue from 'vue';
import { IProgressIndicatorStyleProps, IProgressIndicatorStyles } from './ProgressIndicator.types';
export declare const ProgressIndicatorBase: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, {
    classNames: IProcessedStyleSet<IProgressIndicatorStyles>;
    uid: string;
}, {
    theme?: import("@uifabric/styling").ITheme | undefined;
    className?: string | undefined;
    styles?: import("@uifabric-vue/utilities").IStyleFunctionOrObject<IProgressIndicatorStyleProps, IProgressIndicatorStyles> | undefined;
    label?: string | undefined;
    description?: string | undefined;
    ariaValueText?: string | undefined;
    percentComplete?: number | undefined;
    progressHidden?: boolean | undefined;
    barHeight?: number | undefined;
}>;
//# sourceMappingURL=ProgressIndicator.base.d.ts.map