import { IProcessedStyleSet } from '@fluentui/style-utilities';
import { IStyleFunctionOrObject } from '@uifabric/merge-styles';
import Vue from 'vue';
import { ITextFieldStyles } from './TextField.types';
export declare const TextFieldBase: import("vue/types/vue").ExtendedVue<Vue, {
    isFocused: boolean;
    internalValue: string;
}, {
    adjustInputHeight(): void;
    onFocus(): Promise<void>;
    onInput(ev: InputEvent, value: string): void;
}, {
    classNames: IProcessedStyleSet<ITextFieldStyles>;
    descriptionId: string;
    fallbackId: string;
    labelId: string;
}, {
    theme?: import("@uifabric/styling").ITheme | undefined;
    className?: string | undefined;
    required?: boolean | undefined;
    styles?: IStyleFunctionOrObject<any, ITextFieldStyles> | undefined;
    disabled?: boolean | undefined;
    iconProps?: import("..").IIconProps | undefined;
    inputClassName?: string | undefined;
    value?: string | undefined;
    label?: string | undefined;
    ariaLabel?: string | undefined;
    onChange?: void | ((event: Event, newValue?: string | undefined) => void);
    prefix?: string | undefined;
    suffix?: string | undefined;
    description?: string | undefined;
    errorMessage?: string | undefined;
    focused?: boolean | undefined;
    readonly?: boolean | undefined;
    placeholder?: string | undefined;
    multiline?: boolean | undefined;
    resizable?: boolean | undefined;
    autoAdjustHeight?: boolean | undefined;
    underlined?: boolean | undefined;
    borderless?: boolean | undefined;
    defaultValue?: string | undefined;
    readOnly?: boolean | undefined;
    invalid?: boolean | undefined;
    onNotifyValidationResult?: void | ((errorMessage: string | JSX.Element, value: string | undefined) => void);
    onGetErrorMessage?: string | JSX.Element | ((value: string) => string | JSX.Element | PromiseLike<string | JSX.Element> | undefined) | PromiseLike<string | JSX.Element> | undefined;
    deferredValidationTime?: number | undefined;
    validateOnFocusIn?: boolean | undefined;
    validateOnFocusOut?: boolean | undefined;
    validateOnLoad?: boolean | undefined;
    autoComplete?: string | undefined;
    canRevealPassword?: boolean | undefined;
    revealPasswordAriaLabel?: string | undefined;
}>;
//# sourceMappingURL=TextField.base.d.ts.map